##############  No Trains


nhv = '--- New Hope Valley Railway ---'
from sys import argv    #used to get file name
import os
from time import *
import time
import threading
from datetime import datetime

import RPi.GPIO as GPIO
GPIO.setmode(GPIO.BCM)

GPIO.setup(18,GPIO.IN, pull_up_down=GPIO.PUD_UP)

ver ='26'

script = argv   # This is the file name

print ('Version: '+ver)



#######################################################



############################################################
#Define Colours
WHITE = (255,255,255)
BLUE = (0,0,255)
BLACK = (0,0,0)
GRAY = (128, 128, 128)
MAROON = (128, 0, 0)
NAVYBLUE = (0, 0, 128)
OLIVE = (128, 128, 0)
PURPLE = (128, 0, 128)
TEAL = (0,128,128)
PINK = (226,132,164)
MUTEDBLUE = (155,182,203)
PLUM = (221,160,221)
############################################################



########################################


import pygame
pygame.init()

screen = pygame.display.set_mode((0,800))  # Sets the screen size
screen.fill((0,0,0))  #Fills the bbackgroud with black


pygame.display.set_caption(str(script)+' '+ ver)  # Title of window
spanish = pygame.image.load('ResourceSpanish.png').convert()
english = pygame.image.load('ResourceEnglish.png').convert()
pygame.display.set_mode((960,720),0,32) ## sets full screen
#DISPLAYSURF = pygame.display.set_mode((960, 720), pygame.FULLSCREEN)
pygame.mouse.set_visible(False) 



 
def show_display(message):
    
  font = pygame.font.Font(None,30)
  text = font.render(message, 1,OLIVE)
  screen.blit(text,(900,850)) ### Hor.Vert




disp_mode= spanish


ti = 0


if disp_mode == spanish:
  message ='Click on the mounse for English'
else:
  message = 'Click en el mouse para espanol'



##############################################

try:
    while True:
      
        

        screen.fill(BLACK)
        screen.blit(disp_mode,(10,10))
        if disp_mode == spanish:
          message = 'Click on the mouse for English'
        else:
          message = 'Click on the mouse for Spanish'


        show_display(message)
        
      
        pygame.display.update()
        time.sleep(ti)
        for event in pygame.event.get():
          if event.type == pygame.MOUSEBUTTONDOWN:
            print("MOUSEBUTTONDOWN event occured")
            if disp_mode ==english:
              disp_mode = spanish
            else:
              disp_mode = english
              
            print('disp_mode = ',disp_mode)
            show_display(message)  

###########################################
        if GPIO.input(18) == 0:
            print ('Button Pressed')
            
            if disp_mode ==english:
              disp_mode = spanish
            else:
              disp_mode = english
            
            show_display(message)
            
            time.sleep(.1)
            
            
              
###############################################          

            

        #screen.fill(BLACK)
        #screen.blit(english,(500,90))
        #pygame.display.update()

        time.sleep(ti)
        
      
except (KeyboardInterrupt, SystemExit):
    print('The program was manually stopped')
    quit()



'''        mouse_presses = pygame.mouse.get_pressed()
        if mouse_presses[0]:
            print("Left Mouse Key is being pressed")
            if '''

